<?php
require_once("DBManager.class.php");

class clases{
	private $idclases;///
	private $iddoc_curso;
	private $clase;
	private $estado;
	private $archivo;
	/////////////////constructor/////////////////
	
	public function Crear($viddc,$vcla,$var,$ve)
	{
		$resp=false;		
		$db= new DBManager();		
if($db->_execute("INSERT INTO clases(idclases,iddoc_curso,clase,archivo,estado) VALUES(null,".$viddc.",'".$vcla."','".$var."','".$ve."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorDoccur($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from clases where(iddoc_curso =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idclases"	=> $rs->fields["idclases"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"clase" 	=> $rs->fields["clase"],
									"archivo" 	=> $rs->fields["archivo"],
									"estado" 	=> $rs->fields["estado"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function ListarVisibles($doc)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from clases where(estado ='V' and iddoc_curso =".$doc.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idclases"	=> $rs->fields["idclases"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"clase" 	=> $rs->fields["clase"],
									"archivo" 	=> $rs->fields["archivo"],
									"estado" 	=> $rs->fields["estado"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from clases where(idclases = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->idclases=$rs->fields["idclases"];
				$this->iddoc_curso=$rs->fields["iddoc_curso"];				
				$this->clase=$rs->fields["clase"];	
				$this->archivo=$rs->fields["archivo"];
				$this->estado=$rs->fields["estado"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorDoccurso($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from clases where(iddoc_curso = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->idclases=$rs->fields["idclases"];
				$this->iddoc_curso=$rs->fields["iddoc_curso"];				
				$this->clase=$rs->fields["clase"];	
				$this->archivo=$rs->fields["archivo"];
				$this->estado=$rs->fields["estado"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final			
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	/////////////////////////////////////////
	
	public function Actualizar($vid,$vn,$va,$ve)			
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("update  clases set clase = '".$vn."', archivo = '".$va."',estado = '".$ve."' where (idclases=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	public function Actualizarestado($vid,$ve)			
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("update  clases set estado = '".$ve."' where (idclases=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	/////////////////////////////////
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select * from clases");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idclases"	=> $rs->fields["idclases"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"clase" 	=> $rs->fields["clase"],
									"archivo" 	=> $rs->fields["archivo"],
									"estado" 	=> $rs->fields["estado"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM clases WHERE (idclases=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////							
	
	public function getIdclases(){ return $this->idclases;}
	public function getIddoc_curso(){ return $this->iddoc_curso;}
	public function getClase(){ return $this->clase;}
	public function getArchivo(){ return $this->archivo;}
	public function getEstado(){ return $this->estado;}
	
}
?>